## uefitool 0~A40

=== debian/changelog ===
uefitool (0~A40-0pureos1) green; urgency=medium

  * Initial release for PureOS.

 -- Matthias Klumpp <mak@debian.org>  Sat, 15 Apr 2017 16:36:08 +0200
