=== debian/control ===
Source: uefitool
Section: utils
Priority: optional
Maintainer: Matthias Klumpp <matthias.klumpp@puri.sm>
Build-Depends: cmake,
               debhelper (>= 10),
               qt5-qmake,
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://github.com/corna/me_cleaner

Package: uefitool
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: UEFI firmware image viewer and editor
 UEFITool is a program for parsing, extracting and modifying UEFI
 firmware images.
 It supports parsing of full BIOS images starting with the flash
 descriptor or any binary files containing UEFI volumes.
 .
 This package contains the GUI tool.

Package: uefitool-utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: UEFI firmware image editor - CLI tools
 UEFITool is a program for parsing, extracting and modifying UEFI
 firmware images.
 It supports parsing of full BIOS images starting with the flash
 descriptor or any binary files containing UEFI volumes.
 .
 This package contains the UEFIDump, UEFIExtract and UEFIFind
 command-line utilities.
