=== debian/rules ===
#!/usr/bin/make -f

INSTALLDIR:=$(CURDIR)/debian/tmp

export QT_SELECT := qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -DUEFIDump -Buefidump-bin
	dh_auto_configure -DUEFIExtract
	dh_auto_configure -DUEFIFind
	dh_auto_configure -DUEFITool

override_dh_auto_build:
	dh_auto_build -DUEFIDump -Buefidump-bin
	dh_auto_build -DUEFIExtract
	dh_auto_build -DUEFIFind
	dh_auto_build -DUEFITool

override_dh_auto_install:
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/usr/bin
	mkdir -p $(INSTALLDIR)/usr/share/applications
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/16x16/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/32x32/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/48x48/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/128x128/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/256x256/apps
	mkdir -p $(INSTALLDIR)/usr/share/icons/hicolor/512x512/apps

	install uefidump-bin/UEFIDump $(INSTALLDIR)/usr/bin
	install UEFIExtract/UEFIExtract $(INSTALLDIR)/usr/bin
	install UEFIFind/UEFIFind $(INSTALLDIR)/usr/bin

	cp UEFITool/UEFITool $(INSTALLDIR)/usr/bin/uefitool
	install UEFITool/uefitool.desktop $(INSTALLDIR)/usr/share/applications/

	cp UEFITool/icons/uefitool_16x16.png $(INSTALLDIR)/usr/share/icons/hicolor/16x16/apps/uefitool.png
	cp UEFITool/icons/uefitool_32x32.png $(INSTALLDIR)/usr/share/icons/hicolor/32x32/apps/uefitool.png
	cp UEFITool/icons/uefitool_48x48.png $(INSTALLDIR)/usr/share/icons/hicolor/48x48/apps/uefitool.png
	cp UEFITool/icons/uefitool_128x128.png $(INSTALLDIR)/usr/share/icons/hicolor/128x128/apps/uefitool.png
	cp UEFITool/icons/uefitool_256x256.png $(INSTALLDIR)/usr/share/icons/hicolor/256x256/apps/uefitool.png
	cp UEFITool/icons/uefitool_512x512.png $(INSTALLDIR)/usr/share/icons/hicolor/512x512/apps/uefitool.png
