=== debian/watch ===
version=3
opts=uversionmangle=s/(.*)/0~$1/ https://github.com/LongSoft/UEFITool/tags .*/(.*)\.tar\.gz
