## uefitool 0.26.0

=== debian/changelog ===
uefitool (0.26.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0

 -- Yangfl <mmyangfl@gmail.com>  Mon, 12 Aug 2019 16:38:48 +0800

uefitool (0.26.0-1) unstable; urgency=medium

  * Initial release (Closes: #904007)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 17 Feb 2019 19:19:40 +0800
