=== debian/control ===
Source: uefitool
Section: devel
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
 qt5-qmake,
 qtbase5-dev,
 qtbase5-dev-tools,
 icnsutils,
Standards-Version: 4.4.0
Homepage: https://github.com/LongSoft/UEFITool
Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool

Package: uefitool
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: UEFI firmware image viewer and editor
 UEFITool is a cross-platform C++/Qt program for parsing, extracting and
 modifying UEFI firmware images.
 .
 It supports parsing of full BIOS images starting with the flash descriptor or
 any binary files containing UEFI volumes.
 .
 This package contains the GUI utility, UEFITool. For the CLI versions, see
 uefitool-cli.

Package: uefitool-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: UEFI firmware image viewer and editor - CLI version
 UEFITool is a cross-platform C++/Qt program for parsing, extracting and
 modifying UEFI firmware images.
 .
 It supports parsing of full BIOS images starting with the flash descriptor or
 any binary files containing UEFI volumes.
 .
 This package contains the CLI utilities, UEFIPatch and UEFIReplace. For the GUI
 version, see uefitool.
