## uefitool 0.27.0

=== debian/changelog ===
uefitool (0.27.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:05 +0100

uefitool (0.27.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.1
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Thu, 16 Jan 2020 03:04:49 +0800
