=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  qtbase5-dev,
  qtbase5-dev-tools,
  icnsutils,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool
