## uefitool 0.28.0

=== debian/changelog ===
uefitool (0.28.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1
  * Bump debhelper compat to 13

 -- Yangfl <mmyangfl@gmail.com>  Sun, 21 Feb 2021 23:09:42 +0800
