=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qt5-qmake,
  qtbase5-dev,
  qtbase5-dev-tools,
  icnsutils,
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool
