=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT = 5


%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -O--sourcedirectory=UEFIPatch
	dh_auto_clean -O--sourcedirectory=UEFIReplace

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure -O--sourcedirectory=UEFIPatch
	dh_auto_configure -O--sourcedirectory=UEFIReplace

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -O--sourcedirectory=UEFIPatch
	dh_auto_build -O--sourcedirectory=UEFIReplace

override_dh_install:
	dh_install
	for exe in uefitool; do \
		icns2png -x $${exe}.icns; \
		for px in 16 32 128 256 512; do \
			size=$${px}x$${px}; \
			fn=$${exe}_$${size}x32.png; \
			if [ -f $${fn} ]; then \
				dir=debian/$${exe}/usr/share/icons/hicolor/$${size}/apps/; \
				mkdir -p $${dir}; \
				mv $${fn} $${dir}/$${exe}.png; \
			fi; \
		done; \
	done
	rm uefitool_*.png
