=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%uefitool-$1.tar.gz%" \
   https://github.com/LongSoft/UEFITool/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
