## uefitool 0.28.0+A62

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.16)

PROJECT(UEFITool_everything)

ADD_SUBDIRECTORY(UEFIExtract)
ADD_SUBDIRECTORY(UEFIFind)
ADD_SUBDIRECTORY(UEFITool)
