=== debian/changelog ===
uefitool (0.28.0+A62-1) unstable; urgency=medium

  * New upstream release
    * Add UEFIExtract (Closes: #980029)
  * Bump Standards-Version to 4.6.1

 -- Yangfl <mmyangfl@gmail.com>  Wed, 30 Nov 2022 00:30:27 +0800
