=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- qt5-qmake,
- qtbase5-dev,
- qtbase5-dev-tools,
- icnsutils,
+ dh-exec,
+ cmake,
+ qt6-base-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool
