=== debian/watch ===
version=4
opts="uversionmangle=s/^A/0.28.0+A/,filenamemangle=s%(?:.*?)?v?(A?\d[\d.]*)\.tar\.gz%uefitool-$1.tar.gz%" \
   https://github.com/LongSoft/UEFITool/tags \
   (?:.*?/)?v?(A?\d[\d.]*)\.tar\.gz debian uupdate
