=== UEFIFind/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,6 @@
  ../common/nvramparser.cpp
  ../common/ffsparser.cpp
  ../common/fitparser.cpp
- ../common/ffsreport.cpp
- ../common/ffsutils.cpp
  ../common/peimage.cpp
  ../common/treeitem.cpp
  ../common/treemodel.cpp
@@ -32,6 +30,7 @@
  ../common/ustring.cpp
  ../common/bstrlib/bstrlib.c
  ../common/bstrlib/bstrwrap.cpp
+ ../common/generated/ami_nvar.cpp
  ../common/generated/intel_acbp_v1.cpp
  ../common/generated/intel_acbp_v2.cpp
  ../common/generated/intel_keym_v1.cpp
@@ -59,7 +58,13 @@
  ../common/zlib/zutil.c
 )
 
-ADD_DEFINITIONS(-DU_ENABLE_NVRAM_PARSING_SUPPORT -DU_ENABLE_FIT_PARSING_SUPPORT -DU_ENABLE_GUID_DATABASE_SUPPORT)
-
 ADD_EXECUTABLE(UEFIFind ${PROJECT_SOURCES})
 
+IF(UNIX)
+ SET_TARGET_PROPERTIES(UEFIFind PROPERTIES OUTPUT_NAME uefifind)
+ENDIF()
+
+INSTALL(
+ TARGETS UEFIFind
+ RUNTIME DESTINATION bin
+)
