=== debian/changelog ===
uefitool (0.28.0+A66-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:29:16 +1100

uefitool (0.28.0+A66-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:04:18 +0000

uefitool (0.28.0+A66-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Yangfl <mmyangfl@gmail.com>  Sat, 17 Jun 2023 20:26:15 +0800
