=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: uefitool
 Section: devel
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
  cmake,
  qt6-base-dev,
+ zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool
@@ -36,5 +38,5 @@
  It supports parsing of full BIOS images starting with the flash descriptor or
  any binary files containing UEFI volumes.
  .
- This package contains the CLI utilities, UEFIPatch and UEFIReplace. For the GUI
+ This package contains the CLI utilities, UEFIExtract and UEFIFind. For the GUI
  version, see uefitool.
