## uefitool 0.28.0+A69

=== UEFIExtract/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.22)
 
 PROJECT(UEFIExtract)
 
@@ -12,6 +12,7 @@
  uefidump.cpp
  ../common/guiddatabase.cpp
  ../common/types.cpp
+ ../common/filesystem.cpp
  ../common/descriptor.cpp
  ../common/ffs.cpp
  ../common/nvram.cpp
@@ -61,9 +62,14 @@
  ../common/zlib/zutil.c
 )
 
-ADD_DEFINITIONS(-DU_ENABLE_NVRAM_PARSING_SUPPORT -DU_ENABLE_ME_PARSING_SUPPORT  -DU_ENABLE_FIT_PARSING_SUPPORT -DU_ENABLE_GUID_DATABASE_SUPPORT)
+ADD_DEFINITIONS(
+ -DU_ENABLE_NVRAM_PARSING_SUPPORT
+ -DU_ENABLE_ME_PARSING_SUPPORT
+ -DU_ENABLE_FIT_PARSING_SUPPORT
+ -DU_ENABLE_GUID_DATABASE_SUPPORT
+)
 
-ADD_EXECUTABLE(UEFIExtract ${PROJECT_SOURCES})
+ADD_EXECUTABLE(UEFIExtract ${PROJECT_SOURCES} uefiextract.manifest)
 
 IF(UNIX)
  SET_TARGET_PROPERTIES(UEFIExtract PROPERTIES OUTPUT_NAME uefiextract)
