=== UEFIFind/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0 FATAL_ERROR)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.22)
 
 PROJECT(UEFIFind)
 
@@ -11,6 +11,7 @@
  uefifind.cpp
  ../common/guiddatabase.cpp
  ../common/types.cpp
+ ../common/filesystem.cpp
  ../common/descriptor.cpp
  ../common/ffs.cpp
  ../common/nvram.cpp
@@ -58,7 +59,7 @@
  ../common/zlib/zutil.c
 )
 
-ADD_EXECUTABLE(UEFIFind ${PROJECT_SOURCES})
+ADD_EXECUTABLE(UEFIFind ${PROJECT_SOURCES} uefifind.manifest)
 
 IF(UNIX)
  SET_TARGET_PROPERTIES(UEFIFind PROPERTIES OUTPUT_NAME uefifind)
