=== debian/changelog ===
uefitool (0.28.0+A69-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Sat, 08 Mar 2025 15:57:54 +0800
