## uefitool 0.28.0+A71

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.16)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.22)
 
 PROJECT(UEFITool_everything)
