=== UEFITool/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,17 @@
  ../common/digest/sha512.c
  ../common/digest/sm3.c
  ../common/generated/ami_nvar.cpp
+ ../common/generated/apple_sysf.cpp
+ ../common/generated/dell_dvar.cpp
+ ../common/generated/edk2_vss.cpp
+ ../common/generated/edk2_vss2.cpp
+ ../common/generated/edk2_ftw.cpp
+ ../common/generated/insyde_fdc.cpp
+ ../common/generated/insyde_fdm.cpp
+ ../common/generated/ms_slic_marker.cpp
+ ../common/generated/ms_slic_pubkey.cpp
+ ../common/generated/phoenix_evsa.cpp
+ ../common/generated/phoenix_flm.cpp
  ../common/generated/intel_acbp_v1.cpp
  ../common/generated/intel_acbp_v2.cpp
  ../common/generated/intel_keym_v1.cpp
