=== fuzzing/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,17 @@
  ../common/Tiano/EfiTianoDecompress.c
  ../common/ustring.cpp
  ../common/generated/ami_nvar.cpp
+ ../common/generated/apple_sysf.cpp
+ ../common/generated/dell_dvar.cpp
+ ../common/generated/edk2_vss.cpp
+ ../common/generated/edk2_vss2.cpp
+ ../common/generated/edk2_ftw.cpp
+ ../common/generated/insyde_fdc.cpp
+ ../common/generated/insyde_fdm.cpp
+ ../common/generated/ms_slic_marker.cpp
+ ../common/generated/ms_slic_pubkey.cpp
+ ../common/generated/phoenix_flm.cpp
+ ../common/generated/phoenix_evsa.cpp
  ../common/generated/intel_acbp_v1.cpp
  ../common/generated/intel_acbp_v2.cpp
  ../common/generated/intel_keym_v1.cpp
