=== debian/changelog ===
uefitool (0.28.0+A71-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Sun, 04 May 2025 21:34:19 +0800
