=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: uefitool
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-exec,
@@ -10,7 +9,7 @@
  qt6-base-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool
