=== debian/changelog ===
uefitool (0.28.0+A73-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.3

 -- Yangfl <mmyangfl@gmail.com>  Thu, 12 Feb 2026 22:52:58 +0800
