=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: uefitool
 Section: devel
-Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -8,8 +7,7 @@
  cmake,
  qt6-base-dev,
  zlib1g-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/LongSoft/UEFITool
 Vcs-Git: https://salsa.debian.org/yangfl-guest/UEFITool.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/UEFITool
