=== debian/watch ===
Version: 5
Template: GitHub
Owner: LongSoft
Project: UEFITool
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/[-_]?[Vv]?(A?\d[\-+\.:\~\da-zA-Z]*)
Filename-Mangle: s%.*/[-_]?[Vv]?(A?\d[\-+\.:\~\da-zA-Z]*)%@PACKAGE@-$1.tar.gz%
Dversion-Mangle: auto
Uversion-Mangle: s/^A/0.28.0+A/
